Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Interface NamedAndTyped

All Known Implementing Classes:
  FieldGen, FieldGenOrMethodGen, LocalVariableGen, MethodGen

    public interface NamedAndTyped

Denote entity that has both name and type. This is true for local variables, methods and fields.

Version:
  $Id: NamedAndTyped.java 386056 2006-03-15 11:31:56Z tcurdt $

Method Summary
`String` | `getName()`
`Type` | `getType()`
`void` | `setName(String name)`
`void` | `setType(Type type)`

Method Detail

### getName

    String getName()

### getType

    Type getType()

### setName

    void setName(String name)

### setType

    void setType(Type type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.